Package org.multiverse.api.exceptions

## Class ReadWriteConflict

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.multiverse.api.exceptions.ControlFlowError
      - - org.multiverse.api.exceptions.ReadWriteConflict

- All Implemented Interfaces:
    `Serializable`

      public class ReadWriteConflict
      extends ControlFlowError

  A `ControlFlowError` thrown when a reading or writing a `TxnObject` failed, e.g. because it was locked or because a read or write conflict was detected.

  A ReadWriteConflict can in most cases be solved by retrying the `Txn` (this will automatically be done by the `TxnExecutor`).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReadWriteConflict` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadWriteConflict​(boolean fillStackTrace)` | Creates a new ReadWriteConflict.
    `ReadWriteConflict​(String message)` | Creates a new ReadWriteConflict.
    `ReadWriteConflict​(String message, Throwable cause)` | Creates a new ReadWriteConflict.

  - ### Method Summary

    - ### Methods inherited from class org.multiverse.api.exceptions.ControlFlowError

      `getStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ReadWriteConflict INSTANCE

  - ### Constructor Detail

    - #### ReadWriteConflict

          public ReadWriteConflict​(boolean fillStackTrace)

      Creates a new ReadWriteConflict.
      Parameters:
        `fillStackTrace` - if the StackTrace should be filled.

    - #### ReadWriteConflict

          public ReadWriteConflict​(String message)

      Creates a new ReadWriteConflict.
      Parameters:
        `message` - the message of the ReadWriteConflict.

    - #### ReadWriteConflict

          public ReadWriteConflict​(String message,
                                   Throwable cause)

      Creates a new ReadWriteConflict.
      Parameters:
        `message` - the message of the ReadWriteConflict.
        `cause` - the cause of the ReadWriteConflict.